Subject: Re: Another strange screen display problem!
From: Mike Powell <[email-masked]>
To: [email-masked]
Date: Mon, 1 May 1995 16:29:26 -0800 (PDT)

> 
> I was going through the metaform tutorial in the latest LWPro (LW 101), 
> and liked the results so much, I decided to cut the numbers into the 
> faces and make the complete die object (as in singular of dice ;-) ). So, 
> I created my metaformed die, and made number 1-6 in another layer, 
> positioned the letters one by one, and did a boolean subtract to creat 
> the recessed numbers on the die faces. Looked great, even had all the 
> surfaces named right! I went to save the object, no problem. I also 
> exported it to Layout. Still in Modeler, though, I reloaded the object 
> and it was all hacked up! While the original object looked fine in the 
> solid preview, the reloaded one had strange lines internal to the die 
> connecting seemingly random points from one face to another! No real 
> pattern, just a mess, although the outside contour of the die was ok. 
> When I went to Layout, that version was all screwy too, and rendered with 
> weird holes were the strange connecting line were! I tried to save with a 
> different name, with nothing in the other layers and nothing!
> 
> Anyone have a clue? BTW, this is LW 3.5 SA (Amiga, obviously) with no 
> past problems at all!
> 

	This appears to be a _big nasty bug_.  It may to be related
	to the copy protection of SA since I have only heard of this
	problem in SA.  It has cost me many hours of work.  I think
	that it might also be related to the import/export of objects,
	but since everyone seems to use this so much, it's hard to
	tell.

	I think this "spider-web" scrambling is the way modeler
	responds to a 'missing dongle'. 

	I have not seen this problem with the Toaster version.

	Copy protection is understandable, but copyprotection that
	destroys work and makes a port unusable is simply intolerable.

	Of course the nasty part of this one is that you don't have
	any clue that there is a problem with your object usually until
	_after_ you have saved it... meaning that the last usable
	version of your object was written over.
	
	Damn.  I hope it doesn't bite you again... and perhaps it will
	be solved in V4.0...

	-Mike-